package com.muyu.auth.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户登录对象
 *
 * @author muyu
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "登录请求实体类")
public class LoginUserReq {
    /**
     * 用户名
     */
    @Schema(
            title = "用户名称",
            type = "String",
            defaultValue = "admin",
            description = "登录用户名称"
    )
    private String username;

    /**
     * 用户密码
     */
    @Schema(
            title = "用户密码",
            type = "String",
            defaultValue = "admin123",
            description = "登录用户密码"
    )
    private String password;
}
